Package org.gradle.nativeplatform

## Interface FlavorContainer

- All Superinterfaces:
    `java.util.Collection<Flavor>`, `Configurable<NamedDomainObjectContainer<Flavor>>`, `DomainObjectCollection<Flavor>`, `java.lang.Iterable<Flavor>`, `NamedDomainObjectCollection<Flavor>`, `NamedDomainObjectContainer<Flavor>`, `NamedDomainObjectSet<Flavor>`, `java.util.Set<Flavor>`

      @Incubating
      public interface FlavorContainer
      extends NamedDomainObjectContainer<Flavor>

  A container of `Flavor`s.

  If no flavor is explicitly configured, will contain a single `Flavor` named 'default'. Any flavors explicitly configured will overwrite the default flavor.

- - ### Method Summary

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getCollectionSchema, getNamer, getNames, getRules, named, named, named, named`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

      `configure, create, create, create, maybeCreate, register, register`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`